package br.com.dreamsource.mobile.worders.forms.product;

import br.com.dreamsource.mobile.worders.WOrders;
import br.com.dreamsource.mobile.components.FormWOrders;
import javax.microedition.lcdui.Choice;
import javax.microedition.lcdui.ChoiceGroup;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Image;
import javax.microedition.lcdui.Item;
import javax.microedition.lcdui.TextField;

/**
 *
 * @author Elizeu Nogueira da Rosa Jr.
 * @version 0.1
 * @date 18.05.2007
 *
 */
public class Product extends FormWOrders {
    
    private TextField tfLocalizar;
    
    private ChoiceGroup radioGroupLocateBy;
    private String[] radioGroupLocateByItems;
    private Image[] radioGroupImage;
    
    public Product(CommandListener listener, WOrders midlet) {
        super(listener, midlet, "Produtos");
    }

    private ChoiceGroup getRadioGroupLocateBy() {
        if (radioGroupLocateBy == null) {
            
            radioGroupLocateByItems = new String[]{"Nome"};
            radioGroupImage = new Image[]{null};
            
            radioGroupLocateBy = new ChoiceGroup("Localizar", Choice.EXCLUSIVE, 
                    radioGroupLocateByItems, radioGroupImage);
            radioGroupLocateBy.setSelectedFlags(new boolean[]{true});
        }
        return radioGroupLocateBy;
    }    
    
    private TextField getTfLocalizar() {
        if (tfLocalizar == null) {
            tfLocalizar = new TextField("Localizar", "", 120, 0x0);
        }
        return tfLocalizar;
    }        
    
    protected void createComponents() {
        this.append(this.getTfLocalizar());
        this.append(this.getRadioGroupLocateBy());
        this.addCommand(this.getLocateCommand());
        this.addCommand(this.getBackCommand());
        this.addCommand(this.getInsertCommand());
        
    }
    
    public void fireCommand(Command command) {
        if (command == locateCommand) {
            if (radioGroupLocateBy.getSelectedIndex() == 0) {
                //TODO realizar pesquisa
                this.sendToForm(this.midlet.getProductList(null));
                //TODO realiza o tratamento para a pesquisa realiza a mesma,
                //envia para a tela com a lista ou exibe um alerta
            }
        } else 
        if (command == backCommand) {
            this.sendToForm(this.midlet.getMainMenu());
            this.midlet.destroyForm(this);
        } else 
        if (command == insertCommand) {
            //TODO Envia pra a tela de insero de produtos
        }
    }

}
